# Overview of communication channels

Throughout this course we'll be using a chat protocol names **matrix** to stay in touch.
As matrix is a federated protocol you can create an account on quite a few different servers and still communicate together.
A server has been set up at the school and you can create an account on it by going to [this](https://riot.86thumbs.net/) url.

## Information

* [matrix login](https://riot.86thumbs.net/) on our server
* what is [matrix](https://matrix.org/docs/guides/introduction)
* which [clients](https://matrix.org/clients/) can you use

# Introduction to markdown for notekeeping

Markdown is a very simple makeup language used very extensively online and in coding projects.
You'll see it used all over github, for example the documetation of the [vim](https://github.com/vim/vim/blob/master/README.md) repository is a markdown file.
Our main reasons for using markdown are:

* ease of syntax
* perfect compatibility with git versioning
* renders to html on most git web platforms

## Information

* markdown [guide](https://www.markdownguide.org/getting-started)
* basic [syntax](https://www.markdownguide.org/basic-syntax)

# Brief introdution to cross platform text editors

The computers in our classroom run Windows for which the easiest tool to write and visualise markdown is [vscode](https://code.visualstudio.com/).
On linux you can also use vscode but as markdown files are just simple text files, any text editor will do.
My personal preference is vim but use whatever you fancy.

## Information

* markdown writing and viewing in [notepad++](https://superuser.com/questions/586177/how-to-use-markdown-in-notepad)
* FOSS markdown [editors](https://itsfoss.com/best-markdown-editors-linux/)

# Short introdution to git for notekeeping

## Information

* our [gitea](https://gitea.86thumbs.net/) server 
* getting started with [git](https://git-scm.com/book/en/v2)
* standard git [gui](https://git-scm.com/book/en/v2/Appendix-A%3A-Git-in-Other-Environments-Graphical-Interfaces)
* cross platorm git gui [gitkraken](https://www.gitkraken.com/) *needs account*
* getting started with git [pluralsight](https://app.pluralsight.com/library/courses/getting-started-git/table-of-contents)

